/**
 * Copyright 2019 DH
 * All right reserved.
 * 项目名称: 大恒泰山系统
 * 创建日期:2024/3/14
 */
package org.ts.ddcs.rest;

import com.alibaba.fastjson.JSONObject;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.web.client.RestTemplate;

import java.net.URI;
import java.net.URISyntaxException;

/***
 * Date:2024/3/14
 * Title:文件所属模块（必须填写）
 * Description：对本文件的详细描述，原则上不能少于30字
 * @author dylan
 * @version 1.0
 * Remark：认为有必要的其他信息
 */
@Slf4j
@Component
public class RestHttpClient {
    public JSONObject post(String url, JSONObject data) {
        RestTemplate restTemplate = new RestTemplate();
        JSONObject result = null;
        try {
            result = restTemplate.postForObject(new URI(url), data, JSONObject.class);
        } catch (URISyntaxException e) {
            e.printStackTrace();
        }
        return result;
    }
}
